org.opencv.ximgproc

## Class DisparityWLSFilter

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.DisparityFilter
    - - org.opencv.ximgproc.DisparityWLSFilter

-     public class DisparityWLSFilter
      extends DisparityFilter

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DisparityWLSFilter(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DisparityWLSFilter` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `Mat` | `getConfidenceMap()`
    `int` | `getDepthDiscontinuityRadius()`
    `double` | `getLambda()`
    `int` | `getLRCthresh()`
    `Rect` | `getROI()`
    `double` | `getSigmaColor()`
    `void` | `setDepthDiscontinuityRadius(int _disc_radius)`
    `void` | `setLambda(double _lambda)`
    `void` | `setLRCthresh(int _LRC_thresh)`
    `void` | `setSigmaColor(double _sigma_color)`

    - ### Methods inherited from class org.opencv.ximgproc.DisparityFilter

      `filter, filter`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisparityWLSFilter

          protected DisparityWLSFilter(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DisparityWLSFilter __fromPtr__(long addr)

    - #### getConfidenceMap

          public Mat getConfidenceMap()

    - #### getROI

          public Rect getROI()

    - #### getLambda

          public double getLambda()

    - #### getSigmaColor

          public double getSigmaColor()

    - #### getDepthDiscontinuityRadius

          public int getDepthDiscontinuityRadius()

    - #### getLRCthresh

          public int getLRCthresh()

    - #### setDepthDiscontinuityRadius

          public void setDepthDiscontinuityRadius(int _disc_radius)

    - #### setLRCthresh

          public void setLRCthresh(int _LRC_thresh)

    - #### setLambda

          public void setLambda(double _lambda)

    - #### setSigmaColor

          public void setSigmaColor(double _sigma_color)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `DisparityFilter`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1